import Foundation

struct CallDataModel: Codable {
    
    let agoraCallData: AgoraCallData?
    
    enum CodingKeys: String, CodingKey {
        case agoraCallData = "agora_call_data"
    }
    
}

struct AgoraCallData: Codable {
    
    let data: DataClass?
    let userID: String?
    let avatar: String?
    let name: String?
    
    enum CodingKeys: String, CodingKey {
        case data
        case userID = "user_id"
        case avatar, name
    }
    
}

struct DataClass: Codable {
    
    let id, fromID, toID, type: String?
    let roomName, time, status: String?
    
    enum CodingKeys: String, CodingKey {
        case id
        case fromID = "from_id"
        case toID = "to_id"
        case type
        case roomName = "room_name"
        case time, status
    }
    
}
